> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simpu.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contact list

> Gets the contact list for the organisation.If no contact table exists, it creates a default template table.



## OpenAPI

````yaml GET /lists/contact
openapi: 3.0.1
info:
  title: OpenAPI Simpu API
  description: Simpu API Documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.simpu.co
security:
  - apiKeyAuth: []
paths:
  /lists/contact:
    get:
      description: >-
        Gets the contact list for the organisation.If no contact table exists,
        it creates a default template table.
      parameters: []
      responses:
        '200':
          description: Successfully retrieved the contact table.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Table'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Table:
      required:
        - id
        - columns
      type: object
      properties:
        id:
          description: ID of the Table
          type: string
          example: 674535b2b39158b9aae90188fcec23eb
        columns:
          description: List of column names in the table
          type: array
          items:
            $ref: '#/components/schemas/TableColumn'
          example:
            - id: 674535b2b39158b9aae90188fcec23ec
              name: name
              type: TEXT
            - id: 674535b2b39158b9aae90188fcec23ed
              name: Email
              type: EMAIL
            - id: 674535b2b39158b9aae90188fcec23ee
              name: Mobile
              type: PHONE NUMBER
        created_datetime:
          description: Date and time the table was created
          type: string
          example: '2024-06-28T23:56:38.128604+00:00'
        updated_datetime:
          description: Date and time the table was last updated, if any
          type: string
          example: '2024-06-28T23:56:38.128604+00:00'
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          format: int32
          example: 200
        message:
          type: string
          example: Invalid request
        errors:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
                example: name
              message:
                type: string
                example: 'Error in field: ''name'' Field required.'
              type:
                type: string
                example: missing
    TableColumn:
      required:
        - id
        - name
        - type
      type: object
      properties:
        id:
          description: ID of the column
          type: string
          example: 674535b2b39158b9aae90188fcec23ec
        name:
          description: Name of the column
          type: string
          example: name
        type:
          description: Type of the column
          type: string
          example: TEXT
          enum:
            - TEXT
            - NUMBER
            - DATE
            - PHONE NUMBER
            - EMAIL
            - URL
            - SELECT
            - MULTI SELECT
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: An API key to authenticate requests

````